//
//  SwiftEventChannelHandler.swift
//  aliyun_oss_ios
//
//  Created by wombat on 2022/2/7.
//

import Foundation

public class SwiftEventChannelHandler: NSObject, FlutterStreamHandler {
  var sink: FlutterEventSink?
  var timer: Timer?
  
  public func onListen(withArguments arguments: Any?, eventSink events: @escaping FlutterEventSink) -> FlutterError? {
    sink = events
    for _ in 1...3 {
      sendRandomNumber()
    }
    
    return nil
  }
  
  private func sendRandomNumber() {
    guard let sink = sink else { return }
    
    let randomNumber = Int.random(in: 1..<100000)
    sink(randomNumber)
  }
  
  
  public func onCancel(withArguments arguments: Any?) -> FlutterError? {
    return nil
  }
}
